<ion-header>
  <ion-navbar color="primary">
    <ion-title>
      Sonidos APP
    </ion-title>

    <ion-buttons end>
      <button ion-button
              *ngIf="!blnSeEstaOrdenando"
              (click)="blnSeEstaOrdenando=true">
        Ordenando
      </button>
      <button ion-button
              *ngIf="blnSeEstaOrdenando"
              (click)="blnSeEstaOrdenando=false">
        Listo
      </button>
    </ion-buttons>

  </ion-navbar>
</ion-header>

<ion-content>
  <ion-refresher [enabled] = "!blnSeEstaOrdenando" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>

  <ion-list [reorder] ="blnSeEstaOrdenando" (ionItemReorder)="ReordenarArreglo($event)">
    <ion-item-sliding *ngFor ="let animal of animales; let i = index">
      <ion-item (click)="reproducir(animal)">
        <ion-avatar item-left>
          <img [src]="animal.imagen">
        </ion-avatar>
        <h2> {{animal.nombre}} </h2>
        <ion-icon *ngIf="!animal.reproduciendo" name="play" item-right></ion-icon>
        <ion-icon *ngIf="animal.reproduciendo" name="pause" item-right></ion-icon>
      </ion-item>

      <ion-item-options side="right">
        <button ion-button color="danger"
                (click)="borrar_animal(i)">
          <ion-icon name="trash"></ion-icon>
          Borrar
        </button>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
